MediaSize.NA (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.print.attribute.standard, class: MediaSize, class: NA
Keywords: javax.print.attribute.standard.MediaSize.NA class

# Class MediaSize.NA

java.lang.Object
javax.print.attribute.standard.MediaSize.NA

Enclosing class:
  `MediaSize`

public static final class MediaSize.NA extends Object
Class `MediaSize.NA` includes `MediaSize` values for North American media.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final MediaSize`
  `LEGAL`
  Specifies the North American legal size, 8.5 inches by 14 inches.
  `static final MediaSize`
  `LETTER`
  Specifies the North American letter size, 8.5 inches by 11 inches.
  `static final MediaSize`
  `NA_10x13_ENVELOPE`
  Specifies the North American 10 inch by 13 inch envelope size.
  `static final MediaSize`
  `NA_10x14_ENVELOPE`
  Specifies the North American 10 inch by 14 inch envelope size.
  `static final MediaSize`
  `NA_10X15_ENVELOPE`
  Specifies the North American 10 inch by 15 inch envelope size.
  `static final MediaSize`
  `NA_5X7`
  Specifies the North American 5 inch by 7 inch paper.
  `static final MediaSize`
  `NA_6X9_ENVELOPE`
  Specifies the North American 6 inch by 9 inch envelope size.
  `static final MediaSize`
  `NA_7X9_ENVELOPE`
  Specifies the North American 7 inch by 9 inch envelope size.
  `static final MediaSize`
  `NA_8X10`
  Specifies the North American 8 inch by 10 inch paper.
  `static final MediaSize`
  `NA_9x11_ENVELOPE`
  Specifies the North American 9 inch by 11 inch envelope size.
  `static final MediaSize`
  `NA_9x12_ENVELOPE`
  Specifies the North American 9 inch by 12 inch envelope size.
  `static final MediaSize`
  `NA_NUMBER_10_ENVELOPE`
  Specifies the North American Number 10 business envelope size, 4.125 inches by 9.5 inches.
  `static final MediaSize`
  `NA_NUMBER_11_ENVELOPE`
  Specifies the North American Number 11 business envelope size, 4.5 inches by 10.375 inches.
  `static final MediaSize`
  `NA_NUMBER_12_ENVELOPE`
  Specifies the North American Number 12 business envelope size, 4.75 inches by 11 inches.
  `static final MediaSize`
  `NA_NUMBER_14_ENVELOPE`
  Specifies the North American Number 14 business envelope size, 5 inches by 11.5 inches.
  `static final MediaSize`
  `NA_NUMBER_9_ENVELOPE`
  Specifies the North American Number 9 business envelope size, 3.875 inches by 8.875 inches.

- ## Method Summary

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Field Details

  - ### LETTER

    public static final MediaSize LETTER
    Specifies the North American letter size, 8.5 inches by 11 inches.

  - ### LEGAL

    public static final MediaSize LEGAL
    Specifies the North American legal size, 8.5 inches by 14 inches.

  - ### NA_5X7

    public static final MediaSize NA_5X7
    Specifies the North American 5 inch by 7 inch paper.

  - ### NA_8X10

    public static final MediaSize NA_8X10
    Specifies the North American 8 inch by 10 inch paper.

  - ### NA_NUMBER_9_ENVELOPE

    public static final MediaSize NA_NUMBER_9_ENVELOPE
    Specifies the North American Number 9 business envelope size, 3.875 inches by 8.875 inches.

  - ### NA_NUMBER_10_ENVELOPE

    public static final MediaSize NA_NUMBER_10_ENVELOPE
    Specifies the North American Number 10 business envelope size, 4.125 inches by 9.5 inches.

  - ### NA_NUMBER_11_ENVELOPE

    public static final MediaSize NA_NUMBER_11_ENVELOPE
    Specifies the North American Number 11 business envelope size, 4.5 inches by 10.375 inches.

  - ### NA_NUMBER_12_ENVELOPE

    public static final MediaSize NA_NUMBER_12_ENVELOPE
    Specifies the North American Number 12 business envelope size, 4.75 inches by 11 inches.

  - ### NA_NUMBER_14_ENVELOPE

    public static final MediaSize NA_NUMBER_14_ENVELOPE
    Specifies the North American Number 14 business envelope size, 5 inches by 11.5 inches.

  - ### NA_6X9_ENVELOPE

    public static final MediaSize NA_6X9_ENVELOPE
    Specifies the North American 6 inch by 9 inch envelope size.

  - ### NA_7X9_ENVELOPE

    public static final MediaSize NA_7X9_ENVELOPE
    Specifies the North American 7 inch by 9 inch envelope size.

  - ### NA_9x11_ENVELOPE

    public static final MediaSize NA_9x11_ENVELOPE
    Specifies the North American 9 inch by 11 inch envelope size.

  - ### NA_9x12_ENVELOPE

    public static final MediaSize NA_9x12_ENVELOPE
    Specifies the North American 9 inch by 12 inch envelope size.

  - ### NA_10x13_ENVELOPE

    public static final MediaSize NA_10x13_ENVELOPE
    Specifies the North American 10 inch by 13 inch envelope size.

  - ### NA_10x14_ENVELOPE

    public static final MediaSize NA_10x14_ENVELOPE
    Specifies the North American 10 inch by 14 inch envelope size.

  - ### NA_10X15_ENVELOPE

    public static final MediaSize NA_10X15_ENVELOPE
    Specifies the North American 10 inch by 15 inch envelope size.